import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { CategoryFrame } from "./CategoryFrame";
import { Rect } from "igniteui-react-core/ES5/Rect";
import { SeriesView } from "./SeriesView";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core/ES5/Polyline";
import { Polygon } from "igniteui-react-core/ES5/Polygon";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class PriceChannelOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    pj: number;
    protected is(a: any, b: string, c: any, d: any): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    protected pc(): boolean;
    os(a: CategoryFrame, b: FinancialSeriesView): void;
    hp(a: boolean, b: SeriesView): void;
    ou(a: CategoryFrame, b: FinancialSeriesView): void;
    pi: List$1<number>;
    ph: List$1<number>;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    private pg;
    ek(a: Point, b: boolean, c: boolean): number;
    e9(a: Point, b: boolean): number;
    fb(a: Point, b: boolean): number;
    ee(): number;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PriceChannelBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: PriceChannelOverlayView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class PriceChannelOverlayView extends FinancialSeriesView {
    static $t: Type;
    private b5;
    private ca;
    private cb;
    readonly b4: Polygon;
    readonly b8: Polyline;
    readonly b9: Polyline;
    b0: PriceChannelOverlay;
    constructor(a: PriceChannelOverlay);
    ap(): void;
    protected bv(): FinancialBucketCalculator;
    b1(): void;
    b2(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number): void;
    private b3;
    private b6;
    private b7;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
